const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");


module.exports.run = (client, message, args, settings) => {

    if (!canModifyQueue(message.member)) return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');
    const queue = message.client.queue.get(message.guild.id)
    if(!queue){ return message.channel.send({
        embed: {
            description: `Liste d'attente vide ! merci d'utiliser la commande \`${settings.prefix}play + URL / Nom de la musique\` !`,
            color: 'BLACK'
        }
    })
    }

    // toggle from false to true and reverse
    queue.loop = !queue.loop;
    //queue.connection.dispatcher.loop()   
    return message.channel.send(`Le loop est maintenant ${queue.loop ? `**Actif**` : `**Inactif**`}`)



};

module.exports.help = MESSAGES.COMMANDS.MUSIQUE.LOOP;